View Issue Details

IDProjectCategoryView StatusLast Update
0006669VALENTINA SERVERInstallationpublic2013-12-15 16:36
ReporterDr. OeserAssigned ToRuslan Zasukhin 
PriorityimmediateSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformINTELOSMac OS OS Version10.9
Product Version 
Target VersionFixed in Version5.5.1 
Summary0006669: Download valentina 5.5 release version n to possible
DescriptionIvan gave me the advice not to download a beta from valentina server 5.5 to get rid of the server crashes on mavericks. Please check your homepage!
If I download the current release of valentina server I get a beta from 11/15/2013. The same is in the beta download folder via ftp. The dates shown on your home page are 01/09/2013.
I think you have to recompile the current version and upload the correct version on your home page. Then you can change the right dates...
Steps To ReproduceLook on your home page...
TagsNo tags attached.

Activities

Ruslan Zasukhin

Ruslan Zasukhin

2013-11-28 13:31

administrator   ~0007417

Well, dates was corrected .. this is issue of download plugin in Joomla
thank you,

Latest archives are from 21 Nov 2013

But really vserver archive contains vkernel.DLL from b33 build.
checking more ...
Ruslan Zasukhin

Ruslan Zasukhin

2013-11-28 15:17

administrator   ~0007418

Please try new build on ftp.

I have rebuilt it from scratch now ...
checked .. 5.5 shown.
Dr. Oeser

Dr. Oeser

2013-11-28 15:42

reporter   ~0007419

Thanks for supporting me. Now I got the right version, I think (see below). I got still a lot of "ERROR 0x82515: Received packet is broken.". Only ValentinaStudio (5.5, Release) has opened my database. The error messages came in idle mode (no changes actually). What kind of error is that one? Is this a bug????

Regards
Michael

Thu Nov 28 2013 16:14:28.219261 (TID 140735252173584): Database engine inited
/*************************************************************************************/
Thu Nov 28 2013 16:14:28.264867 vserver_x64 (Type x64, Server 5.5, Kernel 5.5 )
vKernel is externally-synched type.
Maximum number of connections: unlimited

WARNING: Owner name/email are missed in the INI file. It is highly recommend to fill it up to let Valentina team contacts you in case of vServer crashes.

Thu Nov 28 2013 16:14:28.346565 (TID 140735252173584): VProject facilities are available
Thu Nov 28 2013 16:14:28.346609 (TID 140735252173584): Server started
Thu Nov 28 2013 16:14:28.346623 (TID 140735252173584): Non-secure port: 15432
Thu Nov 28 2013 16:14:28.346636 (TID 140735252173584): SSL port: 15434
Thu Nov 28 2013 16:14:28.346649 (TID 140735252173584): SNMP port: 15161
Thu Nov 28 2013 16:14:29.158936 (TID 4498288640): Bonjour service registered as server._valentina._tcp.local.
Thu Nov 28 2013 16:14:29.159105 (TID 4498825216): Bonjour service registered as server._valentina-ssl._tcp.local.
Thu Nov 28 2013 16:15:08.879641 (TID 4452749312): (UID 20) Connection established with '192.168.0.107:50156'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:15:08.908748 (TID 4454895616): (UID 20) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:15:08.909137 (TID 4454895616): (UID 20) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:15:21.997836 (TID 4456976384): (UID 20) SSL connection established with '192.168.0.107:50158'. ( Connections available: 'unlimited')
...
Thu Nov 28 2013 16:18:07.190068 (TID 4454359040): (UID 24) Connection established with '192.168.0.107:50226'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:18:07.190422 (TID 4457512960): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:18:07.190643 (TID 4457512960): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:18:13.189478 (TID 4452749312): (UID 24) Connection established with '192.168.0.107:50227'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:18:13.189799 (TID 4454895616): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:18:13.189998 (TID 4454895616): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:18:19.188813 (TID 4461805568): (UID 24) Connection established with '192.168.0.107:50228'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:18:19.189199 (TID 4459122688): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:18:19.189509 (TID 4459122688): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:18:25.188201 (TID 4481118208): (UID 24) Connection established with '192.168.0.107:50229'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:18:25.188806 (TID 4481654784): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:18:25.189161 (TID 4481654784): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:18:31.187407 (TID 4485410816): (UID 24) Connection established with '192.168.0.107:50230'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:18:31.187639 (TID 4490776576): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:18:31.187833 (TID 4490776576): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:18:37.187226 (TID 4491313152): (UID 24) Connection established with '192.168.0.107:50231'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:18:37.187576 (TID 4487557120): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:18:37.187758 (TID 4487557120): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:18:52.189886 (TID 4495605760): (UID 24) Connection established with '192.168.0.107:50232'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:18:52.190234 (TID 4494532608): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:18:52.190476 (TID 4494532608): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:19:02.225907 (TID 4497215488): (UID 24) Connection established with '192.168.0.107:50233'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:19:02.226292 (TID 4458586112): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:19:02.226534 (TID 4458586112): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:19:12.259358 (TID 4458049536): (UID 24) Connection established with '192.168.0.107:50236'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:19:12.259710 (TID 4480045056): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:19:12.259933 (TID 4480045056): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:19:22.292984 (TID 4462342144): (UID 24) Connection established with '192.168.0.107:50237'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:19:22.293397 (TID 4483264512): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:19:22.293637 (TID 4483264512): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:19:32.326790 (TID 4482191360): (UID 24) Connection established with '192.168.0.107:50238'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:19:32.327227 (TID 4484874240): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:19:32.327462 (TID 4484874240): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:19:42.359286 (TID 4487020544): (UID 24) Connection established with '192.168.0.107:50239'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:19:42.359642 (TID 4492386304): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:19:42.359873 (TID 4492386304): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:19:51.142152 (TID 4493459456): (UID 24) Connection established with '192.168.0.107:50240'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:19:51.142537 (TID 4488630272): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:19:51.142740 (TID 4488630272): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:20:01.175210 (TID 4496678912): (UID 24) Connection established with '192.168.0.107:50246'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:20:01.175587 (TID 4497752064): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:20:01.175909 (TID 4497752064): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:20:11.179796 (TID 4453285888): (UID 24) Connection established with '192.168.0.107:50247'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:20:11.180056 (TID 4457512960): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:20:11.180245 (TID 4457512960): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:20:21.211812 (TID 4453822464): (UID 24) Connection established with '192.168.0.107:50248'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:20:21.212014 (TID 4454895616): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:20:21.212125 (TID 4454895616): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:20:31.244534 (TID 4456976384): (UID 24) Connection established with '192.168.0.107:50249'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:20:31.244839 (TID 4459122688): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:20:31.244992 (TID 4459122688): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:20:40.204859 (TID 4482727936): (UID 24) Connection established with '192.168.0.107:50250'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:20:40.205193 (TID 4481654784): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:20:40.205438 (TID 4481654784): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:20:50.238542 (TID 4483801088): (UID 24) Connection established with '192.168.0.107:50264'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:20:50.238942 (TID 4490776576): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:20:50.239229 (TID 4490776576): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:21:00.271931 (TID 4486483968): (UID 24) Connection established with '192.168.0.107:50265'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:21:00.272353 (TID 4487557120): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:21:00.272569 (TID 4487557120): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:21:10.305322 (TID 4492922880): (UID 24) Connection established with '192.168.0.107:50266'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:21:10.305685 (TID 4495605760): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:21:10.305916 (TID 4495605760): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:21:20.338291 (TID 4494532608): (UID 24) Connection established with '192.168.0.107:50267'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:21:20.338662 (TID 4497215488): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:21:20.338876 (TID 4497215488): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:21:30.372010 (TID 4458586112): (UID 24) Connection established with '192.168.0.107:50268'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:21:30.372355 (TID 4458049536): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:21:30.372577 (TID 4458049536): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:21:40.405310 (TID 4480045056): (UID 24) Connection established with '192.168.0.107:50269'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:21:40.405672 (TID 4462342144): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:21:40.405865 (TID 4462342144): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:21:50.438717 (TID 4483264512): (UID 24) Connection established with '192.168.0.107:50270'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:21:50.439207 (TID 4482191360): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:21:50.439560 (TID 4482191360): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:22:00.472142 (TID 4484874240): (UID 24) Connection established with '192.168.0.107:50271'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:22:00.472644 (TID 4487020544): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:22:00.472924 (TID 4487020544): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:22:10.504774 (TID 4492386304): (UID 24) Connection established with '192.168.0.107:50272'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:22:10.505091 (TID 4493459456): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:22:10.505307 (TID 4493459456): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:22:16.625575 (TID 4488630272): (UID 24) Connection established with '192.168.0.107:50275'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:22:16.625881 (TID 4496678912): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:22:16.626084 (TID 4496678912): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:22:26.658806 (TID 4497752064): (UID 24) Connection established with '192.168.0.107:50276'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:22:26.659190 (TID 4453285888): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:22:26.659412 (TID 4453285888): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:22:36.692402 (TID 4457512960): (UID 24) Connection established with '192.168.0.107:50277'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:22:36.692901 (TID 4453822464): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:22:36.693249 (TID 4453822464): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:22:46.725738 (TID 4454895616): (UID 24) Connection established with '192.168.0.107:50278'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:22:46.726149 (TID 4456976384): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:22:46.726371 (TID 4456976384): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:22:56.759042 (TID 4459122688): (UID 24) Connection established with '192.168.0.107:50279'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:22:56.759405 (TID 4482727936): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:22:56.759628 (TID 4482727936): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:23:06.791750 (TID 4481654784): (UID 24) Connection established with '192.168.0.107:50280'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:23:06.791941 (TID 4483801088): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:23:06.792106 (TID 4483801088): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:23:26.825282 (TID 4490776576): (UID 24) Connection established with '192.168.0.107:50283'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:23:26.825648 (TID 4486483968): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:23:26.825870 (TID 4486483968): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:23:46.857606 (TID 4487557120): (UID 24) Connection established with '192.168.0.107:50284'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:23:46.858035 (TID 4492922880): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:23:46.858229 (TID 4492922880): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:24:06.092519 (TID 4495605760): (UID 24) Connection established with '192.168.0.107:50285'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:24:06.092889 (TID 4494532608): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:24:06.093081 (TID 4494532608): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:24:26.124269 (TID 4497215488): (UID 24) Connection established with '192.168.0.107:50293'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:24:26.124616 (TID 4458586112): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:24:26.124850 (TID 4458586112): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:24:46.154509 (TID 4458049536): (UID 24) Connection established with '192.168.0.107:50294'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:24:46.154832 (TID 4480045056): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:24:46.155046 (TID 4480045056): (UID 24) Closing connection. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:25:06.184828 (TID 4462342144): (UID 24) Connection established with '192.168.0.107:50295'. ( Connections available: 'unlimited')
Thu Nov 28 2013 16:25:06.185178 (TID 4483264512): (UID 24) ERROR 0x82515: Received packet is broken.
Thu Nov 28 2013 16:25:06.185395 (TID 4483264512): (UID 24) Closing connection. ( Connections available: 'unlimited')
Ruslan Zasukhin

Ruslan Zasukhin

2013-11-28 16:07

administrator   ~0007420

WHO talks to this vserver?
  * You app ? compiled with older vclient?
Dr. Oeser

Dr. Oeser

2013-11-28 16:13

reporter   ~0007421

Last edited: 2013-11-28 16:17

View 2 revisions

Xojo 3.3 (former RealStudio), VClient downloaded as latest version from your website (dated 11/21/2013), may be the same problem with the source code? The VClient answers 5.5 as the version number without beta. And most of the error messages came when I use your latest ValentinaStudio Pro (also dated 11/21/2013). May be theres an old lib in VStudio?

Ruslan Zasukhin

Ruslan Zasukhin

2013-11-28 16:25

administrator   ~0007422

Strange.

1) Can you check if you can connect to this VSERVER using e.g. Valentina Studio 5.5?
I just did this and result is fine:


================================
Thu Nov 28 2013 16:56:08.472049 (TID 140735318213392): Database engine inited

/*************************************************************************************/
Thu Nov 28 2013 16:56:08.699895 vserver_x64 (Type x64, Server 5.5, Kernel 5.5 )
vKernel is externally-synched type.
Maximum number of connections: 1



WARNING: Owner name/email are missed in the INI file. It is highly recommend to fill it up to let Valentina team contacts you in case of vServer crashes.

Thu Nov 28 2013 16:56:09.018980 (TID 140735318213392): VProject facilities are available
Thu Nov 28 2013 16:56:09.019118 (TID 140735318213392): Server started
Thu Nov 28 2013 16:56:09.019164 (TID 140735318213392): Non-secure port: 15432
Thu Nov 28 2013 16:56:09.019208 (TID 140735318213392): SSL port: 15434
Thu Nov 28 2013 16:56:09.019257 (TID 140735318213392): SNMP port: 15161
Thu Nov 28 2013 16:56:09.019436 (TID 140735318213392): WARNING: Not found any valid license.
vServer is still working though (single connection allowed).
You need to get a FREE license with 5 connections OR purchase a license with more connections at
Paradigma Store <http://www.valentina-db.com/en/store>.
You will get your license file by email. Drop it into licenses folder and start server.
Thu Nov 28 2013 16:56:09.865518 (TID 4449087488): Bonjour service registered as MacBookRZ._valentina-ssl._tcp.local.
Thu Nov 28 2013 16:56:09.865659 (TID 4448550912): Bonjour service registered as MacBookRZ._valentina._tcp.local.
Thu Nov 28 2013 16:58:09.055794 (TID 4449087488): Bonjour service registered as MacBookRZ._valentina-ssl._tcp.288581985.members.btmm.icloud.com.
Thu Nov 28 2013 16:58:09.055869 (TID 4448550912): Bonjour service registered as MacBookRZ._valentina._tcp.288581985.members.btmm.icloud.com.
Thu Nov 28 2013 18:07:33.979993 (TID 4360949760): (UID 19) Connection established with '192.168.2.21:53188'. ( Connections available: '0')
Thu Nov 28 2013 18:07:34.066451 (TID 4361486336): (UID 19) User: sa. Connection encoding: UTF-16 - LittleEndian.
Thu Nov 28 2013 18:07:34.124051 (TID 4361486336): (UID 19) SqlConnection object created.
===============================
Ruslan Zasukhin

Ruslan Zasukhin

2013-11-28 16:27

administrator   ~0007423

Next, we will check here V4RB 5.5 and its examples.
can you do the same?


As I understand, you have installed V4RB 5.5, replaced .rbx file
and then you start your application ...


3) I see in your log file yet SSL connection? Your app do this?
  

4) Your app and VSERVER are located on same computer?
Ruslan Zasukhin

Ruslan Zasukhin

2013-11-28 16:28

administrator   ~0007424

5) please open folder
   /usr/local/lib/vcomponents

and check dates of dylibs there ... should be 21 Nov for 5.5 V4RB
Dr. Oeser

Dr. Oeser

2013-11-28 17:43

reporter   ~0007425

My xojo app uses the latest v4rb.rbx via ssl. I have a client-server network. So the client and the server are different macs. My app is working now with the new 5.5 update. I will see if erverything is OK.
Most of the errors in the log above (received packet broken) came from Valentina studio 5.5 and seldom from my app.
Ruslan Zasukhin

Ruslan Zasukhin

2013-11-28 18:16

administrator   ~0007427

1) Each vserver restart borns new log file. You can have in this way clean room.

2) Do you mean that overall trouble have gone away?
Can this be a hardware issue than?

3) what exactly you do in Vstudio against this VSERVER?

4) can you isolate VStudio from your app? I mean start only studio and connect and check log, without RB app to be in use.

5) same can be done for RB only app.


6) I think you can easy check VStudio on SAME computer where is VSERVER to exclude network issues.
Dr. Oeser

Dr. Oeser

2013-11-28 18:26

reporter   ~0007428

I am not in the office now. So I will check my xojo app tommorow. At the time the error log was written only valentina studio was opened without any work. I opened my database in valentina studio. After that the errors above were written (valentina studio in idle mode). That was it. No network traffic. No other app. No xojo app. Nothing else. I will test valentina studio also tomorrow.
Regards
Michael
Ivan Smahin

Ivan Smahin

2013-11-28 19:10

manager   ~0007431

Thu Nov 28 2013 16:14:28.346623 (TID 140735252173584): Non-secure port: 15432
Thu Nov 28 2013 16:14:28.346636 (TID 140735252173584): SSL port: 15434

If you use SSL you should open connection to the 15434 port in this way:

        gConnection = new VConnection( host, userName, password, 15434 )
        gConnection.UseSSL()
        gConnection.Open()
Ivan Smahin

Ivan Smahin

2013-11-29 09:33

manager   ~0007432

Please check your bookmarks in vStudio.
I guess there is SSL-connection to the not-SSL port!
This is a reason for a lot of ERROR 0x82515: Received packet is broken errors.
Dr. Oeser

Dr. Oeser

2013-11-29 10:39

reporter   ~0007433

Last edited: 2013-11-29 10:47

View 2 revisions

I always use Bonjour (SSL) to connect to my database in Valentina Studio. I have no bookmarks. I think it's a problem with the bonjour service. As port and port SSL was '15434' shown on the right side if I open my database.
I checked this with and without SSL, with Bonjour and without in Valentina Studio. Always the same ERROR in the log. If I have time I use an older version of Valentina Studio.

Ivan Smahin

Ivan Smahin

2013-11-29 12:34

manager   ~0007434

That is strange. Could you send me your server.ini file?
Also - what about connect to vServer (both ports) via connect dialog (without bonjour suggestions)?
Dr. Oeser

Dr. Oeser

2013-11-29 13:05

reporter   ~0007435

My app works stable with the new Server 5.5 on Mavericks Server right now. I use valentina over 1 year without problems.
 
The error messages above are coming only when I use your latest Valentina Studio 5.5 11/21/2013 when I open and use a database on the server. The errors are independent of the kind of connection I use (with or without ssl, Bonjour or not, Connection Dialog with SSl or not).

the setting are:
; Automatically generated Valentina Server configuration file
; You can find the description of all possible parameters in this INI file here
; http://valentina-db.com/dokuwiki/doku.php?id=valentina:products:vserver:manual:ini_file

[LOGGING]

; Enables logging to the console.
LogToConsole=1

; Enables logging to the file.
LogToFile=1

; Specifies file-log location.
LogFilesLocation=vlogs

; Enables logging to the syslog.
LogToSysLog=0

; Specifies how many information produce into logs:
; 0 - display error messages only.
; 1 - display errors and warnings.
; 2 - display errors, warnings and debugging messages.
; 3 - display errors, warnings, debugging messages and command level tracing.
VerboseLevel=2

[VKERNEL]
; The size of database cache in MB.
CacheSize=10

[GENERAL]
; If 1 then disables DNS resolving. 0 - Enabled.
DisableDNS=1

; If 0 then vServer properties are changeable.
HostingMode=0

; Specifies the IDLE timeout in minutes for a client.
; On timeout VServer will disconnect that client.
; 0 - means infinite timeout.
MaxIdleClientTimeout=120

; Specifies the CONNECTION timeout in seconds for a client.
; 0 - means no timeout.
MaxConnectionTimeout=120

; Specifies the TRANSFER timeout in seconds for a client.
; 0 - means no timeout.
MaxTransferTimeout=120

; Non-secure port to listen. 0 - not listen.
Port=15432

; How many threads to have in pool. Range 1-N.
Threads=50

; The path, where projects are stored.
SystemProjectCatalog=projects

; The path, where sysdatabase are stored.
SystemCatalog=databases

; The full path, where backups are stored. (Folder must exist)
; param absence - means - clients may choose any folder on the server.
; SystemBackupCatalog=

; 1 - Allow to receive not-encrypted passwords.
; 0 - Reject connection with not-encrypted passwords.
UseOldPasswords=0

; 1 - Flush after any data modification.
; 0 - Default value - no flushing.
FlushEachDataChanges=0

; 1 - Check privileges.
; 0 - Default value - no privileges checks.
PrivilegesEnable=0

[HTTP]
; Port to listen HTTP protocol.
; 0 - do not use HTTP port.
Port_HTTP=0

[SSL]
; Secure port to listen by VServer.
; 0 - do not use a secure port.
Port_SSL=15434

; The path, where a certificate is stored.
SSL_Certificate=dummy.pem

; The path, where a private key is stored.
SSL_PrivateKey=key.pem

[SNMP]
; SNMP port to listen by VServer.
; 0 - do not use a SNMP port.
Port_SNMP=15161

[BONJOUR]
; 1 - Try to register in bonjour service.
; 0 - Do not try register.
BonjourEnable=1

; The protocol name of the VServer.
BonjourProtocolName=valentina

; The service name of the VServer.
;BonjourServiceName=

[SCHEDULE]
; 1 - Run scheduler.
; 0 - No scheduler.
ScheduleEnable=0

Issue History

Date Modified Username Field Change
2013-11-28 13:11 Dr. Oeser New Issue
2013-11-28 13:31 Ruslan Zasukhin Note Added: 0007417
2013-11-28 15:17 Ruslan Zasukhin Note Added: 0007418
2013-11-28 15:42 Dr. Oeser Note Added: 0007419
2013-11-28 16:07 Ruslan Zasukhin Note Added: 0007420
2013-11-28 16:13 Dr. Oeser Note Added: 0007421
2013-11-28 16:17 Dr. Oeser Note Edited: 0007421 View Revisions
2013-11-28 16:25 Ruslan Zasukhin Note Added: 0007422
2013-11-28 16:27 Ruslan Zasukhin Note Added: 0007423
2013-11-28 16:28 Ruslan Zasukhin Note Added: 0007424
2013-11-28 17:43 Dr. Oeser Note Added: 0007425
2013-11-28 18:16 Ruslan Zasukhin Note Added: 0007427
2013-11-28 18:26 Dr. Oeser Note Added: 0007428
2013-11-28 19:10 Ivan Smahin Note Added: 0007431
2013-11-29 09:33 Ivan Smahin Note Added: 0007432
2013-11-29 10:39 Dr. Oeser Note Added: 0007433
2013-11-29 10:47 Dr. Oeser Note Edited: 0007433 View Revisions
2013-11-29 12:34 Ivan Smahin Note Added: 0007434
2013-11-29 13:05 Dr. Oeser Note Added: 0007435
2013-12-15 16:36 Ruslan Zasukhin Status new => resolved
2013-12-15 16:36 Ruslan Zasukhin Fixed in Version => 5.5.1
2013-12-15 16:36 Ruslan Zasukhin Resolution open => fixed
2013-12-15 16:36 Ruslan Zasukhin Assigned To => Ruslan Zasukhin